--- rpython/rlib/rposix.py.orig	2023-12-23 15:29:17 UTC
+++ rpython/rlib/rposix.py
@@ -214,6 +214,8 @@ else:
         includes.append('sys/sysmacros.h')
     if sys.platform.startswith('freebsd') or sys.platform.startswith('openbsd'):
         includes.append('sys/ttycom.h')
+    if sys.platform.startswith('freebsd'):
+        includes.append('termios.h')
     libraries = ['util']
 
 eci = ExternalCompilationInfo(
